# LagrangePolynomialApproximation

Core/LagrangePolynomialApproximation.js 3
An `InterpolationAlgorithm` for performing Lagrange interpolation.

### Methods

#### static Cesium.LagrangePolynomialApproximation.getRequiredDataPoints(degree) → Number
Core/LagrangePolynomialApproximation.js 18

Given the desired degree, returns the number of data points required for interpolation.

Name | Type | Description
--- | --- | ---
`degree` | Number | The desired degree of interpolation.

##### Returns:

The number of required data points needed for the desired degree of interpolation.

#### static Cesium.LagrangePolynomialApproximation.interpolateOrderZero(x, xTable, yTable, yStride, result) → Array.<Number>
Core/LagrangePolynomialApproximation.js 35

Interpolates values using Lagrange Polynomial Approximation.

Name | Type | Description
--- | --- | ---
`x` | Number | The independent variable for which the dependent variables will be interpolated.
`xTable` | Array.<Number> | The array of independent variables to use to interpolate. The values in this array must be in increasing order and the same value must not occur twice in the array.
`yTable` | Array.<Number> | The array of dependent variables to use to interpolate. For a set of three dependent values (p,q,w) at time 1 and time 2 this should be as follows: {p1, q1, w1, p2, q2, w2}.
`yStride` | Number | The number of dependent variable values in yTable corresponding to each independent variable value in xTable.
`result` | Array.<Number> | optional An existing array into which to store the result.

##### Returns:

The array of interpolated values, or the result parameter if one was provided.